handle_edge_irq
Prev | Chapter 9. Internal Functions Provided | Next

## Name

handle_edge_irq — edge type IRQ handler

## Synopsis

`void handle_edge_irq (` | unsigned int | irq,
| struct irq_desc * | desc`)`;

## Arguments

`irq`

  the interrupt number

`desc`

  the interrupt description structure for this irq

## Description

Interrupt occures on the falling and/or rising edge of a hardware signal. The occurence is latched into the irq controller hardware and must be acked in order to be reenabled. After the ack another interrupt can happen on the same source even before the first one is handled by the assosiacted event handler. If this happens it might be necessary to disable (mask) the interrupt depending on the controller hardware. This requires to reenable the interrupt inside of the loop which handles the interrupts which have arrived while the handler was running. If all pending interrupts are handled, the loop is left.

Prev | Up | Next
handle_fasteoi_irq | Home | handle_percpu_irq